"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const errors = require("@curveball/http-errors");
const fs = require("fs");
class BlobController extends controller_1.default {
    get(ctx) {
        switch (ctx.params.filename) {
            case 'extra.css':
            case 'form.css':
                ctx.response.body = fs.readFileSync(__dirname + '/../../assets/' + ctx.params.filename);
                ctx.response.type = 'text/css';
                break;
            case 'simplewebauthn-browser.min.js':
                ctx.response.body = fs.readFileSync(__dirname + '/../../node_modules/@simplewebauthn/browser/dist/' + ctx.params.filename);
                ctx.response.type = 'text/javascript';
                break;
            case 'simplewebauthn-browser.min.js.map':
                ctx.response.body = fs.readFileSync(__dirname + '/../../node_modules/@simplewebauthn/browser/dist/' + ctx.params.filename);
                ctx.response.type = 'text/pain';
                break;
            case 'webauthn.js':
                ctx.response.body = fs.readFileSync(__dirname + '/../../assets/' + ctx.params.filename);
                ctx.response.type = 'application/javascript';
                break;
            default:
                throw new errors.NotFound('File not found!');
                break;
        }
    }
}
exports.default = new BlobController();
//# sourceMappingURL=controller.js.map