/**
 * Centralized place for all crypto-related functions
 */
/**
 * Returns a secret, opaque token.
 *
 * The token will use the characters from the base64url character list, which
 * is url-safe.
 */
export declare function generateSecretToken(): Promise<string>;
/**
 * Generates an id
 *
 * The id is not meant to be secret, but is meant to be not numerable, making it
 * hard to guess (for example) how many users exist.
 */
export declare function generatePublicId(): Promise<string>;
/**
 * Generates a UUID urn
 */
export declare function uuidUrn(): string;
