"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const jwt_1 = require("../oauth2/jwt");
class JwksController extends controller_1.default {
    get(ctx) {
        ctx.response.type = 'application/json';
        const jwks = {
            keys: [
                {
                    kid: 'blabla',
                    alg: 'RS256',
                    use: 'sig',
                    ...(0, jwt_1.getPublicKey)().export({
                        format: 'jwk'
                    })
                }
            ],
        };
        ctx.response.body = jwks;
    }
}
exports.default = new JwksController();
//# sourceMappingURL=controller.js.map