"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.save = exports.generateSecret = void 0;
const otplib_1 = require("otplib");
const database_1 = require("../../database");
function generateSecret() {
    const secret = otplib_1.authenticator.generateSecret();
    return secret;
}
exports.generateSecret = generateSecret;
async function save(totpDevice) {
    const newTotpDeviceRecord = {
        user_id: totpDevice.user.id,
        secret: totpDevice.secret,
        created: Math.floor(Date.now() / 1000),
    };
    await (0, database_1.insertAndGetId)('user_totp', newTotpDeviceRecord);
    return {
        'failures': 0,
        ...totpDevice,
    };
}
exports.save = save;
//# sourceMappingURL=service.js.map