import { Middleware } from '@curveball/core';
import { App, User, Principal } from '../principal/types';
declare module '@curveball/core' {
    interface Context {
        /**
         * Authentication info
         */
        auth: AuthHelper;
    }
}
declare class AuthHelper {
    /**
     * Currently logged in user
     */
    principal: App | User | null;
    constructor(principal: App | User | null);
    /**
     * Returns true if there's a logged in user (or app)
     */
    isLoggedIn(): this is {
        principal: App | User;
    };
    /**
     * Returns true if the logged in user matches the passsed-in principal
     */
    equals(principal: Principal): boolean;
}
/**
 * The login middleware ensures that the current HTTP request is authenticated
 */
export default function (): Middleware;
export {};
