"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 4 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 4,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.schema.alterTable('oauth2_token', table => {
        table.renameColumn('client_id', 'oauth2_client_id');
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=004_oauth-client-id.js.map