"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 13 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 13,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.schema.alterTable('user_log', table => {
        table.integer('user_id', 45).unsigned().nullable().alter();
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=013_userlog3.js.map