"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 14 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 14,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.schema.createTable('oauth2_codes', table => {
        table.increments();
        table.integer('client_id').unsigned().notNullable();
        table.string('code', 50).notNullable();
        table.integer('user_id').unsigned().notNullable();
        table.integer('created').unsigned().notNullable();
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=014_oauth2-code.js.map