"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 26 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 26,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.schema.createTable('reset_password_token', table => {
        table.increments();
        table.integer('user_id').unsigned().notNullable();
        table.string('token', 100).notNullable().unique();
        table.integer('expires_at').unsigned().notNullable();
        table.integer('created_at').unsigned().notNullable();
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=026_reset-password-token.js.map