"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 36 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 36,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.raw('INSERT INTO server_settings (setting, value) VALUES (\'webauthn\', \'"disabled"\')');
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=036_webauthn-setting.js.map