"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 37 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 37,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.raw('INSERT INTO server_settings (setting, value) VALUES (\'totp.serviceName\', \'"Authentication API"\')');
    await knex.schema.alterTable('user_totp', table => {
        table.integer('created').unsigned().notNullable().defaultTo(0);
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=037_totp-registration.js.map