"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 38 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 38,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex('server_settings').insert({
        setting: 'registration.mfa.enabled',
        value: 'true',
    }).onConflict('setting').merge();
    await knex('server_settings').insert({
        setting: 'webauthn',
        value: '"enabled"',
    }).onConflict('setting').merge();
    await knex.raw("UPDATE server_settings SET value = NULL WHERE setting IN ('webauthn.relyingPartyId', 'webauthn.expectedOrigin')");
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=038_webauthn-enable.js.map