"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    const result = await knex('changelog').select('id').where({ id: 39 });
    if (result.length) {
        // Migration has been applied using the old patch system
        return;
    }
    await knex('changelog').insert({
        id: 39,
        timestamp: Math.floor(Date.now() / 1000)
    });
    await knex.raw(`ALTER TABLE oauth2_tokens
  ADD browser_session_id VARCHAR(200) NULL`);
    await knex.raw(`ALTER TABLE oauth2_codes
  ADD browser_session_id VARCHAR(200) NULL`);
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration doesn\'t have a "down" script');
}
exports.down = down;
//# sourceMappingURL=039_oauth-token-session.js.map