"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex.schema.alterTable('principals', table => {
        table
            .string('external_id')
            .nullable()
            .after('identity')
            .unique();
    });
    await knex.raw('UPDATE principals SET external_id = id WHERE external_id IS NULL');
    await knex.schema.alterTable('principals', table => {
        table
            .string('external_id')
            .notNullable()
            .alter();
    });
}
exports.up = up;
async function down(knex) {
    await knex.schema.createTable('principals', table => {
        table
            .dropColumn('external_id');
    });
}
exports.down = down;
//# sourceMappingURL=20220401022610_external-id.js.map