"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newClientSuccess = exports.item = exports.collection = void 0;
function collection(user, clients) {
    return {
        _links: {
            self: { href: `${user.href}/client` },
            up: { href: user.href, title: user.nickname },
            item: clients.map(client => ({
                href: `${user.href}/client/${client.clientId}`
            })),
            'create-form': {
                href: `${user.href}/client/new`,
                title: 'Add new OAuth2 credentials',
                type: 'application/vnd.siren+json',
            },
        },
        total: clients.length,
        /*
        _templates: {
          default: {
            title: 'Add new client',
            method: 'POST',
            contentType: 'application/x-www-form-urlencoded',
            properties: [
              {
                name: 'clientId',
              },
              {
                name: 'allowedGrantTypes',
                prompt: 'Allowed grant types (space separated)',
                required: true,
              },
              {
                name: 'redirectUris',
                prompt: 'Redirect uris (space separated)',
              },
            ],
          }
        },*/
    };
}
exports.collection = collection;
function item(client, redirectUris) {
    return {
        _links: {
            self: { href: `${client.app.href}/client/${client.clientId}` },
            collection: { href: `${client.app.href}/client`, title: 'List of OAuth2 clients' },
        },
        clientId: client.clientId,
        allowedGrantTypes: client.allowedGrantTypes,
        redirectUris,
        requirePkce: client.requirePkce,
    };
}
exports.item = item;
function newClientSuccess(client, redirectUris, secret) {
    return {
        _links: {
            self: { href: `${client.app.href}/client/${client.clientId}` },
            collection: { href: `${client.app.href}/client`, title: 'List of OAuth2 clients' },
        },
        clientId: client.clientId,
        clientSecret: secret,
        allowedGrantTypes: client.allowedGrantTypes,
        redirectUris,
    };
}
exports.newClientSuccess = newClientSuccess;
//# sourceMappingURL=hal.js.map