"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activeSessions = void 0;
const sync_1 = require("csv-stringify/sync");
function activeSessions(tokens, clients) {
    return (0, sync_1.stringify)(tokens.map(token => {
        return {
            Expires: new Date(token.refreshTokenExpires * 1000).toString(),
            Client: token.clientId === 0 ? 'System generated' : clients.get(token.clientId)?.app.nickname,
        };
    }), {
        header: true,
        columns: [
            'Expires',
            'Client',
        ],
    });
}
exports.activeSessions = activeSessions;
//# sourceMappingURL=csv.js.map