import { OneTimeToken } from './types';
import { User } from '../principal/types';
/**
 * This function will create a unique token then store it in the database
 */
export declare function createToken(user: User): Promise<OneTimeToken>;
/**
 * Checks if a 'password reset token' is valid, and returns the associated user.
 * This function only works once for every token.
 * After calling this function, the token automatically gets deleted.
 */
export declare function validateToken(token: string): Promise<User>;
