export declare type PrincipalType = 'user' | 'app' | 'group';
export declare const PrincipalTypeList: PrincipalType[];
export declare type BasePrincipal<TType extends PrincipalType> = {
    id: number;
    href: string;
    externalId: string;
    type: TType;
    identity: string;
    nickname: string;
    createdAt: Date;
    modifiedAt: Date;
    active: boolean;
};
export declare type User = BasePrincipal<'user'>;
export declare type Group = BasePrincipal<'group'>;
export declare type App = BasePrincipal<'app'>;
export declare type Principal = User | Group | App;
export declare type NewPrincipal<TType extends PrincipalType> = {
    type: TType;
    identity: string;
    nickname: string;
    createdAt: Date;
    modifiedAt: Date;
    active: boolean;
};
export declare type PrincipalStats = {
    user: number;
    app: number;
    group: number;
};
