"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.item = exports.collection = void 0;
function collection(privileges) {
    const hal = {
        _links: {
            self: { href: '/privilege' },
            item: [],
        },
    };
    for (const privilege of privileges) {
        hal._links.item.push({
            href: '/privilege/' + privilege.privilege,
            title: privilege.description
        });
    }
    return hal;
}
exports.collection = collection;
function item(privilege) {
    const hal = {
        _links: {
            self: { href: '/privilege/' + privilege.privilege },
            collection: { href: '/privilege', title: 'Privilege Collection' }
        },
        privilege: privilege.privilege,
        description: privilege.description
    };
    return hal;
}
exports.item = item;
//# sourceMappingURL=hal.js.map