"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const html_1 = require("../formats/html");
const server_settings_1 = require("../../server-settings");
class MFAController extends controller_1.default {
    async get(ctx) {
        const user = ctx.session.registerUser;
        if (!user) {
            return ctx.redirect(303, '/login');
        }
        ctx.response.type = 'text/html';
        ctx.response.body = (0, html_1.mfaRegistrationForm)(ctx.query.msg, ctx.query.error, (0, server_settings_1.getSetting)('totp') !== 'disabled', (0, server_settings_1.getSetting)('webauthn') !== 'disabled');
    }
    async post(ctx) {
        const { mfaDevice } = ctx.request.body;
        if (mfaDevice === 'totp') {
            return ctx.redirect(303, '/register/mfa/totp');
        }
        else if (mfaDevice === 'yubikey') {
            return ctx.redirect(303, '/register/mfa/webauthn');
        }
        return ctx.redirect(303, '/register/mfa?error=Unknown MFA device');
    }
}
exports.default = new MFAController();
//# sourceMappingURL=mfa.js.map