"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const router_1 = require("@curveball/router");
const item_1 = require("./app/controller/item");
const new_1 = require("./app/controller/new");
const collection_1 = require("./app/controller/collection");
const controller_1 = require("./blob/controller");
const controller_2 = require("./changepassword/controller");
const change_password_1 = require("./well-known/controller/change-password");
const item_2 = require("./oauth2-client/controller/item");
const new_2 = require("./oauth2-client/controller/new");
const collection_2 = require("./oauth2-client/controller/collection");
const item_3 = require("./group/controller/item");
const new_3 = require("./group/controller/new");
const member_collection_1 = require("./group/controller/member-collection");
const collection_3 = require("./group/controller/collection");
const controller_3 = require("./health/controller");
const controller_4 = require("./home/controller");
const controller_5 = require("./introspect/controller");
const controller_6 = require("./jwks/controller");
const login_1 = require("./login/controller/login");
const mfa_1 = require("./login/controller/mfa");
const login_2 = require("./mfa/webauthn/controller/login");
const controller_7 = require("./logout/controller");
const authorize_1 = require("./oauth2/controller/authorize");
const oauth2_error_handler_1 = require("./oauth2/oauth2-error-handler");
const oauth2_metadata_1 = require("./well-known/controller/oauth2-metadata");
const revoke_1 = require("./oauth2/controller/revoke");
const token_1 = require("./oauth2/controller/token");
const generate_1 = require("./one-time-token/controller/generate");
const exchange_1 = require("./one-time-token/controller/exchange");
const token_2 = require("./reset-password/controller/token");
const collection_4 = require("./privilege/controller/collection");
const item_4 = require("./privilege/controller/item");
const user_1 = require("./register/controller/user");
const mfa_2 = require("./register/controller/mfa");
const register_1 = require("./mfa/totp/controller/register");
const register_2 = require("./mfa/webauthn/controller/register");
const request_1 = require("./reset-password/controller/request");
const reset_password_1 = require("./reset-password/controller/reset-password");
const controller_8 = require("./settings/controller");
const item_5 = require("./user/controller/item");
const user_access_token_1 = require("./oauth2/controller/user-access-token");
const active_sessions_1 = require("./oauth2/controller/active-sessions");
const by_href_1 = require("./user/controller/by-href");
const edit_1 = require("./user/controller/edit");
const privileges_1 = require("./user/controller/privileges");
const user_2 = require("./log/controller/user");
const password_1 = require("./user/controller/password");
const new_4 = require("./user/controller/new");
const collection_5 = require("./user/controller/collection");
const registration_1 = require("./mfa/webauthn/controller/registration");
const routes = [
    (0, router_1.default)('/', controller_4.default),
    (0, router_1.default)('/assets/:filename', controller_1.default),
    (0, router_1.default)('/app', collection_1.default),
    (0, router_1.default)('/app/new', new_1.default),
    (0, router_1.default)('/app/:id', item_1.default),
    (0, router_1.default)('/app/:id/edit', edit_1.default),
    (0, router_1.default)('/app/:id/edit/privileges', privileges_1.default),
    (0, router_1.default)('/app/:id/client', collection_2.default),
    (0, router_1.default)('/app/:id/client/new', new_2.default),
    (0, router_1.default)('/app/:id/client/:clientId', item_2.default),
    (0, router_1.default)('/authorize', oauth2_error_handler_1.default, authorize_1.default),
    (0, router_1.default)('/exchange-one-time-token', exchange_1.default),
    (0, router_1.default)('/token', oauth2_error_handler_1.default, token_1.default),
    (0, router_1.default)('/revoke', revoke_1.default),
    (0, router_1.default)('/login', login_1.default),
    (0, router_1.default)('/login/mfa', mfa_1.default),
    (0, router_1.default)('/login/mfa/webauthn', login_2.default),
    (0, router_1.default)('/logout', controller_7.default),
    (0, router_1.default)('/health', controller_3.default),
    (0, router_1.default)('/introspect', controller_5.default),
    (0, router_1.default)('/group', collection_3.default),
    (0, router_1.default)('/group/new', new_3.default),
    (0, router_1.default)('/group/:id', item_3.default),
    (0, router_1.default)('/group/:id/edit', edit_1.default),
    (0, router_1.default)('/group/:id/edit/privileges', privileges_1.default),
    (0, router_1.default)('/group/:id/member', member_collection_1.default),
    (0, router_1.default)('/privilege', collection_4.default),
    (0, router_1.default)('/privilege/:id', item_4.default),
    (0, router_1.default)('/register', user_1.default),
    (0, router_1.default)('/register/mfa', mfa_2.default),
    (0, router_1.default)('/register/mfa/totp', register_1.default),
    (0, router_1.default)('/register/mfa/webauthn', register_2.default),
    (0, router_1.default)('/register/mfa/webauthn/registration', registration_1.default),
    (0, router_1.default)('/settings', controller_8.default),
    (0, router_1.default)('/user', collection_5.default),
    (0, router_1.default)('/user/byhref/:href', by_href_1.default),
    (0, router_1.default)('/user/new', new_4.default),
    (0, router_1.default)('/user/:id', item_5.default),
    (0, router_1.default)('/user/:id/edit', edit_1.default),
    (0, router_1.default)('/user/:id/edit/privileges', privileges_1.default),
    (0, router_1.default)('/user/:id/log', user_2.default),
    (0, router_1.default)('/user/:id/password', password_1.default),
    (0, router_1.default)('/user/:id/one-time-token', generate_1.default),
    (0, router_1.default)('/user/:id/access-token', user_access_token_1.default),
    (0, router_1.default)('/user/:id/sessions', active_sessions_1.default),
    (0, router_1.default)('/change-password', controller_2.default),
    (0, router_1.default)('/reset-password', request_1.default),
    (0, router_1.default)('/reset-password/token/:token', token_2.default),
    (0, router_1.default)('/reset-password/change-password', reset_password_1.default),
    (0, router_1.default)('/.well-known/jwks.json', controller_6.default),
    (0, router_1.default)('/.well-known/oauth-authorization-server', oauth2_metadata_1.default),
    (0, router_1.default)('/.well-known/change-password', change_password_1.default),
];
exports.default = routes;
//# sourceMappingURL=routes.js.map