"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const http_errors_1 = require("@curveball/http-errors");
const privilegeService = require("../privilege/service");
const server_settings_1 = require("../server-settings");
const hal = require("./formats/hal");
const csv = require("./formats/csv");
class SettingsController extends controller_1.Controller {
    async getJson(ctx) {
        if (!await privilegeService.hasPrivilege(ctx, 'admin')) {
            throw new http_errors_1.Forbidden('Only users with the "admin" privilege can inspect OAuth2 clients that are not your own');
        }
        ctx.response.links.add({
            href: ctx.path,
            rel: 'alternate',
            type: 'text/csv'
        });
        ctx.response.body = hal.settings(server_settings_1.settingsRules, (0, server_settings_1.getSettings)());
    }
    async getCsv(ctx) {
        if (!await privilegeService.hasPrivilege(ctx, 'admin')) {
            throw new http_errors_1.Forbidden('Only users with the "admin" privilege can inspect OAuth2 clients that are not your own');
        }
        ctx.response.links.add({
            href: ctx.path,
            rel: 'alternate',
            type: 'application/hal+json'
        });
        ctx.response.type = 'text/csv';
        ctx.response.body = csv.settings(server_settings_1.settingsRules, (0, server_settings_1.getSettings)());
    }
}
__decorate([
    (0, controller_1.method)('GET'),
    (0, controller_1.accept)('application/hal+json')
], SettingsController.prototype, "getJson", null);
__decorate([
    (0, controller_1.method)('GET'),
    (0, controller_1.accept)('csv')
], SettingsController.prototype, "getCsv", null);
exports.default = new SettingsController();
//# sourceMappingURL=controller.js.map