"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.settings = void 0;
const sync_1 = require("csv-stringify/sync");
function settings(settingsRules, settings) {
    const settingsTable = Object.keys(settingsRules).map(key => {
        const rule = settingsRules[key];
        const value = rule.isSecret ? null : settings[key];
        return {
            name: key,
            ...rule,
            value,
        };
    });
    return (0, sync_1.stringify)(settingsTable, {
        header: true,
        columns: {
            name: 'Name',
            value: 'Value',
            default: 'Default',
            fromDb: 'Settable in database',
            env: 'Environment variable name',
            isSecret: 'Secret',
        },
        cast: {
            boolean: v => v ? 'true' : 'false',
        }
    });
}
exports.settings = settings;
//# sourceMappingURL=csv.js.map