"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const principalService = require("../../principal/service");
const userService = require("../service");
const http_errors_1 = require("@curveball/http-errors");
const privilegeService = require("../../privilege/service");
class UserPasswordController extends controller_1.default {
    async put(ctx) {
        if (!await privilegeService.hasPrivilege(ctx, 'admin')) {
            throw new http_errors_1.Forbidden('Only users with the "admin" privilege may create new users');
        }
        const userBody = ctx.request.body;
        const user = await principalService.findByExternalId(ctx.params.id, 'user');
        const password = userBody.newPassword;
        await userService.updatePassword(user, password);
        ctx.response.status = 204;
    }
}
exports.default = new UserPasswordController();
//# sourceMappingURL=password.js.map