import { User } from '../principal/types';
export declare function createPassword(user: User, password: string): Promise<void>;
export declare function updatePassword(user: User, password: string): Promise<void>;
/**
 * Returns true or false if the password was correct.
 *
 * Calling this method multiple times might result in a block.
 */
export declare function validatePassword(user: User, password: string): Promise<boolean>;
export declare function hasPassword(user: User): Promise<boolean>;
/**
 * Returns true or false if the totp token was correct.
 *
 * Calling this method multiple times might result in a block.
 */
export declare function validateTotp(user: User, token: string): Promise<boolean>;
/**
 * Returns true or false if the totp was provided or not.
 *
 *
 */
export declare function hasTotp(user: User): Promise<boolean>;
