"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
/**
 * WellKnownChangePassword implements support for well-known URIs as
 * defined in RFC 8615.
 */
class WellKnownChangePassword extends controller_1.default {
    /**
       * get responds to requests with a 301 Moved Permanently status code
       * redirecting the user to the /changepassword route via the Location
       * header.
       *
       * @param ctx Context object representing encapsulating the HTTP request.
       */
    async get(ctx) {
        ctx.status = 301;
        ctx.response.headers.set('Location', '/change-password');
    }
}
exports.default = new WellKnownChangePassword();
//# sourceMappingURL=change-password.js.map